Bug 221805 - [PATCH] graphics/poppler-qt5 causes dependent port to fail with undefined time_t
Summary: [PATCH] graphics/poppler-qt5 causes dependent port to fail with undefined time_t
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-08-25 15:51 UTC by Guido Falsi
Modified: 2018-04-10 18:47 UTC (History)
2 users (show)

See Also:
kwm: maintainer-feedback+


Attachments
Fix time_t undefined (1.22 KB, patch)
2017-08-25 15:51 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2017-08-25 15:51:55 UTC
Created attachment 185756 [details]
Fix time_t undefined

Hi,

I use print/qpdfviewer with the QT5 option.

After the last update to poppler it is failing with the following error(from poudriere):

--- objects-pdf/pdfmodel.o ---
In file included from sources/pdfmodel.cpp:40:
/usr/local/include/poppler/qt5/poppler-form.h:427:2: error: unknown type name 'time_t'
        time_t signingTime() const;
        ^
--- objects-pdf/formfieldwidgets.o ---
In file included from sources/formfieldwidgets.cpp:27:
/usr/local/include/poppler/qt5/poppler-form.h:427:2: error: unknown type name 'time_t'
        time_t signingTime() const;
        ^


I created a quick fix which includes <ctime> and seems to work.

Not sure if it is the correct fix though.
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-02-10 18:53:56 UTC
Feedback please!
Comment 2 Guido Falsi freebsd_committer 2018-02-10 19:25:54 UTC
I'm still using this patch in my poudriere.

So problem is still relevant.
Comment 3 commit-hook freebsd_committer 2018-04-10 18:46:59 UTC
A commit references this bug:

Author: madpilot
Date: Tue Apr 10 18:46:48 UTC 2018
New revision: 467004
URL: https://svnweb.freebsd.org/changeset/ports/467004

Log:
  Fix graphics/poppler-qt5 provided include file, causing dependent
  ports to fail when including it.

  PR:		221805
  Submitted by:	me
  Approved by:	gnome (kwm)

Changes:
  head/graphics/poppler/Makefile
  head/graphics/poppler/files/patch-qt5_src_poppler-form.h
  head/graphics/poppler-qt5/Makefile
Comment 4 Guido Falsi freebsd_committer 2018-04-10 18:47:48 UTC
Committed.